/******************************************************************************
 *
 * Copyright:
 *    2006 Audrius Urmanavicius
 *         MediaWorks, Lithuania
 *
 * File:
 *    menu.h
 *
 * Description:
 *    Expose public functions, typedefs for creating menus with
 *    extended functionality of select.c/select.h
 *
 *****************************************************************************/
#ifndef _MENU_H_
#define _MENU_H_

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/

#define MENU_GAME_RESTART 	0
#define MENU_GAME_EXIT		1


typedef struct {
    tU8 border;
    tU8 captionBg;
    tU8 captionFg;
    tU8 cursorBorder;
    tU8 itemBg;
    tU8 itemFg;
    tU8 cursorBg;
    tU8 cursorFg;
} tMenuColors;

typedef struct {
    char *caption;
    void (*callback)(tU32);
    tU32 param;
} tMenuItem;

typedef struct {
    char *caption;
    tMenuColors *colors;
    tMenuItem const *items;
    tS8 itemCount;
    tS8 initialChoice;
} tMenu;


/******************************************************************************
 * External (global) variables
 *****************************************************************************/
extern tMenu *gameOverMenu;
extern tMenuColors defMenuColors;

/******************************************************************************
 * External (global) functions
 *****************************************************************************/

tU8 runMenu(tMenu *m);

#endif
